Package relaxngcc.automaton

## Class Alphabet.ValueText

- java.lang.Object
- - relaxngcc.automaton.Alphabet
  - - relaxngcc.automaton.Alphabet.Text
    - - relaxngcc.automaton.Alphabet.ValueText

- Enclosing class:
    Alphabet

      public static class Alphabet.ValueText
      extends Alphabet.Text

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class relaxngcc.automaton.Alphabet

      `Alphabet.DataText, Alphabet.EnterAttribute, Alphabet.EnterElement, Alphabet.ForAction, Alphabet.Fork, Alphabet.LeaveAttribute, Alphabet.LeaveElement, Alphabet.Markup, Alphabet.Ref, Alphabet.Text, Alphabet.ValueText`

  - ### Field Summary

    - ### Fields inherited from class relaxngcc.automaton.Alphabet

      `_locator, DATA_TEXT, ENTER_ATTRIBUTE, ENTER_ELEMENT, FOR_ACTION, FORK, LEAVE_ATTRIBUTE, LEAVE_ELEMENT, REF_BLOCK, VALUE_TEXT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValueText​(java.lang.String value, Datatype dt, java.lang.String alias, org.xml.sax.Locator loc)` |
    `ValueText​(ValuePattern p)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Alphabet.ValueText` | `asValueText()` |
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getValue()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class relaxngcc.automaton.Alphabet.Text

      `asText, getAlias, getDatatype`

    - ### Methods inherited from class relaxngcc.automaton.Alphabet

      `asDataText, asEnterAttribute, asEnterElement, asForAction, asFork, asLeaveAttribute, asLeaveElement, asMarkup, asRef, getType, isDataText, isEnterAttribute, isEnterElement, isForAction, isFork, isLeaveAttribute, isLeaveElement, isMarkup, isRef, isText, isValueText, printLocator`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueText

          public ValueText​(java.lang.String value,
                           Datatype dt,
                           java.lang.String alias,
                           org.xml.sax.Locator loc)

    - #### ValueText

          public ValueText​(ValuePattern p)

  - ### Method Detail

    - #### asValueText

          public Alphabet.ValueText asValueText()

      Overrides:
        `asValueText` in class `Alphabet`

    - #### getValue

          public java.lang.String getValue()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Alphabet.Text`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `Alphabet.Text`